RDKit::Drawing::detail Namespace Reference

## Functions

void | drawLine (std::vector< ElementType > &res, int atnum1, int atnum2, int lineWidth, int dashed, double x1, double y1, double x2, double y2)
std::pair< std::string, OrientType > | getAtomSymbolAndOrientation (const Atom &atom, RDGeom::Point2D nbrSum)

## Function Documentation

## drawLine()

void RDKit::Drawing::detail::drawLine | ( | std::vector< ElementType > & | res,
|  | int | atnum1,
|  | int | atnum2,
|  | int | lineWidth,
|  | int | dashed,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |

Definition at line 45 of file MolDrawing.h.

References RDKit::Drawing::LINE.

Referenced by RDKit::MolDraw2D::atomSyms(), RDKit::Drawing::DrawingToSVG(), RDKit::Drawing::DrawMol(), and RDKit::MolDraw2D::lineWidth().

## getAtomSymbolAndOrientation()

std::pair<std::string, OrientType> RDKit::Drawing::detail::getAtomSymbolAndOrientation | ( | const Atom & | atom,
|  | RDGeom::Point2D | nbrSum
| ) |  |

Definition at line 58 of file MolDrawing.h.

References RDKit::Drawing::C, RDKit::Drawing::E, RDKit::Atom::getAtomicNum(), RDKit::Atom::getDegree(), RDKit::Atom::getFormalCharge(), RDKit::Atom::getIsotope(), RDKit::Atom::getNumRadicalElectrons(), RDKit::Atom::getProp(), RDKit::Atom::getSymbol(), RDKit::Atom::getTotalNumHs(), RDKit::Atom::hasProp(), RDKit::common_properties::molAtomMapNumber, RDKit::Drawing::N, RDKit::Drawing::S, RDKit::Drawing::W, RDGeom::Point2D::x, and RDGeom::Point2D::y.

Referenced by RDKit::MolDraw2D::atomSyms(), and RDKit::Drawing::DrawMol().